"use strict";

exports.__esModule = true;
exports.reactClass = exports.reducer = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _sidebar = require("./sidebar");

var _table = require("./table");

var _redux = require("./redux");

exports.reducer = _redux.reducer;

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

const ShipInfo = _styledComponents["default"].div.withConfig({
  displayName: "views__ShipInfo",
  componentId: "qwee1q-0"
})(["display:flex;height:100%;"]);

const GlobalStyle = _styledComponents.createGlobalStyle`
  .ship-info-scrollable {
    ::-webkit-scrollbar {
      height: 16px;
      width: 16px;
    }

    ::-webkit-scrollbar-thumb {
      background: ${props => props.theme.BLUE1};
      height: 16px;
      width: 16px;
    }
  }
`;

const reactClass = () => _react["default"].createElement(ShipInfo, {
  id: "poi-plugin-ship-info"
}, _react["default"].createElement(GlobalStyle, null), _react["default"].createElement(_sidebar.Sidebar, null), _react["default"].createElement(_table.TableView, null));

exports.reactClass = reactClass;