"use strict";

exports.__esModule = true;
exports.RadioCheck = void 0;

var _lodash = require("lodash");

var _react = _interopRequireWildcard(require("react"));

var _reactI18next = require("react-i18next");

var _reactRedux = require("react-redux");

var _redux = require("redux");

var _checkbox = require("../components/checkbox");

var _temp;

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

const RadioCheck = (0, _redux.compose)((0, _reactI18next.withTranslation)(['poi-plugin-ship-info']), (0, _reactRedux.connect)((state, props) => ({
  currentValue: (0, _lodash.get)(state.config, `plugin.ShipInfo.${props.configKey}`, props["default"] || 0)
})))((_temp = class RadioCheckBase extends _react.Component {
  constructor(...args) {
    super(...args);

    this.handleClickRadio = index => () => {
      window.config.set(`plugin.ShipInfo.${this.props.configKey}`, index);
    };
  }

  render() {
    const {
      label,
      options,
      currentValue,
      t
    } = this.props;
    return _react["default"].createElement(_checkbox.Checkbox, {
      halfWidth: true
    }, _react["default"].createElement(_checkbox.CheckboxLabel, null, t(label)), Object.keys(options).map(key => _react["default"].createElement(_checkbox.CheckboxOption, {
      key: key,
      onClick: this.handleClickRadio(parseInt(key, 10)),
      checked: parseInt(key, 10) === currentValue
    }, t(options[key]))));
  }

}, _temp));
exports.RadioCheck = RadioCheck;