"use strict";

exports.__esModule = true;
exports.CheckboxOption = exports.CheckboxLabel = exports.Checkbox = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

const Checkbox = _styledComponents["default"].div.withConfig({
  displayName: "checkbox__Checkbox",
  componentId: "sc-18wxdco-0"
})(["display:flex;flex-direction:row;flex-wrap:wrap;white-space:nowrap;align-items:center;margin:8px 0;width:", ";:nth-child(odd){margin-right:", ";}"], props => props.halfWidth ? '46%' : '100%', props => props.halfWidth && '8%');

exports.Checkbox = Checkbox;

const CheckboxLabel = _styledComponents["default"].div.withConfig({
  displayName: "checkbox__CheckboxLabel",
  componentId: "sc-18wxdco-1"
})(["flex:1;"]);

exports.CheckboxLabel = CheckboxLabel;

const CheckboxOption = _styledComponents["default"].div.attrs({
  role: 'button',
  tabIndex: 0
}).withConfig({
  displayName: "checkbox__CheckboxOption",
  componentId: "sc-18wxdco-2"
})(["padding:0 1ex;line-height:160%;transition:0.3s;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:2em;color:", ";background-color:", ";background-color:", ";"], props => (props.checked || props.partial) && '#fff', props => props.checked && props.theme.BLUE5, props => props.partial && props.theme.ORANGE5);

exports.CheckboxOption = CheckboxOption;