"use strict";

exports.__esModule = true;
exports.Sidebar = void 0;

var _polished = require("polished");

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _redux = require("../redux");

var _export = require("./export");

var _filter = require("./filter");

var _planner = require("./planner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

const Wrapper = _styledComponents["default"].div.withConfig({
  displayName: "sidebar__Wrapper",
  componentId: "sc-1whg0fz-0"
})(["width:50px;background:linear-gradient( to bottom,transparent,", " );margin-right:10px;display:flex;flex-direction:column;justify-content:flex-end;align-items:center;padding-bottom:20px;"], props => (0, _polished.rgba)(props.theme.BLUE1, 0.4));

const Sidebar = (0, _reactRedux.connect)()(({
  dispatch
}) => {
  (0, _react.useEffect)(() => {
    dispatch(_redux.initStore);
  }, []);
  return _react["default"].createElement(Wrapper, null, _react["default"].createElement(_planner.Planner, null), _react["default"].createElement(_filter.Filter, null), _react["default"].createElement(_export.Export, null));
});
exports.Sidebar = Sidebar;